Description

Hi,

I have broken serial console with FreeNAS-9.3-STABLE-201502271818 on HP Proliant Microserver Gen8.

When I save serial console settings in GUI, I get this crap in messages

Mar  4 23:06:34 vfs notifier: grep: (root0: No such file or directory

Mar  4 23:06:34 vfs notifier: sed: 1: "/^hint.uart.(acpi0

Mar  4 23:06:34 vfs notifier: (roo ...": unterminated regular expression

Mar  4 23:06:38 vfs notifier: Generating grub configuration file ...

Mar  4 23:06:43 vfs notifier: done

And actual grub entry in file /boot/grub/grub.cfg looks like

terminal_output serial console

terminal_input serial console

serial --unit=(acpi0

(root0 --port=0x2f8 --speed=115200

set timeout=5

1. END /usr/local/etc/grub.d/00_header ###

Kind regards,

shpokas

Associated revisions

Revision 40a9c40d - 03/05/2015 08:14 AM - Josh Paetzel

Add the USB serial module

This is a shot in the dark to fix an instance where the

IPMI serial port isn't attached on an HP Microserver.

Ticket: #8376

Revision 5843eb23 - 03/11/2015 10:40 AM - Josh Paetzel

Add the USB serial module
This is a shot in the dark to fix an instance where the

IPMI serial port isn't attached on an HP Microserver.

Ticket: #8376

(cherry picked from commit 40a9c40d59ebfca2bf87f406df955f69090e5f16)

Revision ccf36131 - 03/11/2015 10:41 AM - Josh Paetzel

Add the USB serial module

This is a shot in the dark to fix an instance where the

IPMI serial port isn't attached on an HP Microserver.

Ticket: #8376

(cherry picked from commit 40a9c40d59ebfca2bf87f406df955f69090e5f16)

History

#1 - 03/04/2015 02:56 PM - Jordan Hubbard

- Category set to 35

- Assignee set to Josh Paetzel

- Target version set to Unspecified

#2 - 03/05/2015 04:46 AM - Josh Paetzel

- Status changed from Unscreened to 15

Now this is an interesting problem Jim!

We make multiple passes through the output of devinfo -u

The reason for this is the I/O ports are listed as a separate line item as the IRQ.  It sounds like acpi0 and the uart are sharing resources (my guess

would be IRQ of course) and everything goes sideways from there.

Can you attach the output of devinfo -u and the contents of /boot/device.hints please?

#3 - 03/05/2015 05:25 AM - shpokas -

- File device.hints added

- File devinfo.txt added

Requested information is attached.

#4 - 03/05/2015 06:33 AM - Josh Paetzel

- Status changed from 15 to Investigation

#5 - 03/05/2015 06:36 AM - Josh Paetzel

- Status changed from Investigation to 15
Ok, now that is special.  uart0 doesn't have any resources in devinfo at all.

Can you attach the output of:

pciconf -lv

grep uart /var/run/dmesg.boot

conscontrol

ls /dev/uart*

#6 - 03/05/2015 06:53 AM - shpokas -

- File pciconf.txt added

Please note I have configured Proliant Virtual Serial Console as per HP doc: 

http://h20565.www2.hp.com/hpsc/doc/public/display?docId=emr_na-c00263709

During boot phase I see BIOS output in iLO VSP until FreeBSD starts booting (including grub prompt and I can select boot entries in grub menu).

Yet some commands you have requested does not have any output.

[root@vfs] ~# grep uart /var/run/dmesg.boot

[root@vfs] ~# conscontrol

Configured: ttyv0

Available: ttyv0,ucom

Muting: off

[root@vfs] ~# ls /dev/uart*

ls: No match.

[root@vfs] ~#

Another note - I had console working before 9.3, but never since upgrade to 9.3. I just started to troubleshoot the thing yesterday.

#7 - 03/05/2015 07:50 AM - Josh Paetzel

- Status changed from 15 to Fix In Progress

Ok, so the driver isn't attaching when the kernel boots. Which is why you get BIOS and bootloader but nothing after the kernel.

uhci0@pci0:1:0:4:    class=0x0c0300 card=0x3381103c chip=0x3300103c rev=0x02 hdr=0x00

vendor     = 'Hewlett-Packard Company'

device     = 'Integrated Lights-Out Standard Virtual USB Controller'

class      = serial bus

subclass   = USB

I think we are just missing a kernel module here but without the hardware it's going to be a bit of a shot in the dark to determine which one.  I'll send

you some kernel modules to try.
#8 - 03/05/2015 08:16 AM - Josh Paetzel

- Status changed from Fix In Progress to 15

Ok, I just committed a change that may fix this.  Can you try out tonight's nightly please?

#9 - 03/05/2015 09:10 AM - shpokas -

No, I can't test on that system. I'll get another one to try. I guess it can wait a couple of days if nobody cared so far.

#10 - 03/08/2015 11:37 AM - shpokas -

Well, turns out the other Microserver I have access to, is from previous generation and does not have iLO.

I am somewhat hesitant to test this fix on actual server, which is production machine. That means switching from STABLE to Nightly.

I may find another server sooner or later or maybe someone else will.

#11 - 03/11/2015 10:47 AM - Josh Paetzel

I threw a fix for this over the wall and really am just waiting on you to tell me if it worked.

I don't have this hardware, nor am I likely to get it. (HP is a competitor of ours after all)

If we are at a standstill here I'm going to close this ticket out.

The change I threw over the wall will be in the next SU.  If that works great, if not then we'll need to do more testing and development.

#12 - 03/12/2015 01:33 PM - Jordan Hubbard

- Status changed from 15 to Resolved

BRB: Setting to resolved for lack of feedback.  This issue will not be revisited.

#13 - 08/26/2016 01:44 PM - Kris Moore

- Target version changed from Unspecified to N/A

#14 - 02/28/2018 03:58 PM - Dru Lavigne

- File deleted (device.hints)

#15 - 02/28/2018 03:58 PM - Dru Lavigne

- File deleted (devinfo.txt)

#16 - 02/28/2018 03:58 PM - Dru Lavigne

- File deleted (pciconf.txt)
